;;; pkginfo/ruby/auto-autoloads.el
;;; Copyright (C) 2008 The Meadow Team
;;; Author: Koichiro Ohba <koichiro@meadowy.org>

(autoload 'ruby-mode "ruby-mode" "Mode for editing ruby source files" t)
(setq auto-mode-alist
      (append '(("\\.rb$" . ruby-mode)) auto-mode-alist))
(setq interpreter-mode-alist (append '(("ruby" . ruby-mode))
                                     interpreter-mode-alist))

(autoload 'run-ruby "inf-ruby" "Run an inferior Ruby process")
(autoload 'inf-ruby-keys "inf-ruby"
  "Set local key defs for inf-ruby in ruby-mode")
(add-hook 'ruby-mode-hook '(lambda ()
             (inf-ruby-keys)
             ))

;; ruby-electric.el --- electric editing commands for ruby files
(require 'ruby-electric)
(add-hook 'ruby-mode-hook '(lambda () (ruby-electric-mode t)))

;; TODO: IRBݒANwv...
;;(setq ruby-program-name "ruby -S irb --inf-ruby-mode")
;;(setq ruby-program-name "ruby -rirb -e 'IRB.conf[:PROMPT_MODE] = :INF_RUBY; IRB.start;'")

;;; auto-autoloads.el ends here
